Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STConversation class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)
Stefan Urbanek

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

### Contents -

1. Software documentation for the STConversation class
2. Software documentation for the STConversation protocol

# Software documentation for the STConversation class

## STConversation : NSObject

> Declared in:
>   StepTalk/STConversation.h

> Conforms to:
>   STConversation

Description forthcoming.

Instance Variables

### Method summary

- +conversationWithContext:language:
- -context
- -initWithContext:language:
- -language
- -runScriptFromString:
- -setLanguage:

### conversationWithContext: language:

+ (id) conversationWithContext: (STContext*)aContext language: (NSString*)aLanguage;
Description forthcoming.

### context

- (STContext*) context;
Description forthcoming.

### initWithContext: language:

- (id) initWithContext: (STContext*)aContext language: (NSString*)aLanguage;
Description forthcoming.

### language

- (NSString*) language;
Return name of the language used in the receiver conversation

### runScriptFromString:

- (id) runScriptFromString: (NSString*)aString;
Description forthcoming.

### setLanguage:

- (void) setLanguage: (NSString*)newLanguage;
Description forthcoming.

## Instance Variables for STConversation Class

### context

@protected STContext* context;
Description forthcoming.

### engine

@protected STEngine* engine;
Description forthcoming.

### languageName

@protected NSString* languageName;
Description forthcoming.

### returnValue

@protected id returnValue;
Description forthcoming.

# Software documentation for the STConversation protocol

## STConversation

> Declared in:
>   StepTalk/STConversation.h

Description forthcoming.

### Method summary

- -interpretScript:
- -knownLanguages
- -language
- -result
- -resultByCopy
- -setLanguage:

### interpretScript:

- (void) interpretScript: (bycopy NSString*)aString;
Interpret given string as a script in the receiver environment.

### knownLanguages

- (bycopy NSArray*) knownLanguages;
Description forthcoming.

### language

- (NSString*) language;
Description forthcoming.

### result

- (id) result;
Description forthcoming.

### resultByCopy

- (bycopy id) resultByCopy;
Description forthcoming.

### setLanguage:

- (void) setLanguage: (NSString*)newLanguage;
Set language for the receiver.

Up